package SAE.ApiREST.WebService.service;
import SAE.ApiREST.WebService.model.Collect;
import SAE.ApiREST.WebService.model.Article;

import java.util.List;

public interface ICollectionService{
    public List<Collect> getAllCollections();
    public Collect getCollectionById(Integer id);
    public List<Collect> getAllCollectionsByName(String name);
    public void deleteColletionById(Integer id);
    public void deleteColletionByName(String name);
    public void deleteAllColletionByName(String name);
    public void addCollection(Collect collection);
    public void addCollections(List<Collect> collection);
    public void modifyCollectionName(Collect collection, String name);
    public void modifyCollectionNameById(Integer id, String name);
    public List<Article> getAllArticlesById(Integer id);
    public void addArticle(Collect collection, Article article);
    public void deleteArticle(Collect collection, Article article);
}